Subject: bug#28442: 26.0.50; [PATCH] Save and restore frame pixel size with desktop-save-mode

From: Aaron Jensen <[email-masked]>
Date: Fri, 15 Dec 2017 10:30:43 -0500

FYI, my copyright assignment has been completed. Let me know if there’s
anything else needed on this patch.

Thanks,

Aaron

On November 27, 2017 at 8:52:09 AM, Aaron Jensen ([email-masked])
wrote:

On November 27, 2017 at 12:48:27 AM, martin rudalics ([email-masked]
(mailto:[email-masked])) wrote:

> > How’s this?
>
> Elegant, in particular the `frameset--restore-frame' part. Eli will
> decide whether we can put this on the release branch. In either case
> we'll have to wait until your paperwork is complete. And please send
> diffs as attachments, one of our MUAs has decided to truncate some of
> the lines.

Thanks, I've attached it.

> Anyway, since I'm not using desktop please confirm the following: When
> `desktop-read' runs and your init file contains a non-nil customization
> for `frame-resize-pixelwise', the size hints are set correctly to 1 for
> each frame restored.

Unfortunately, I’m on macOS so I’m not sure that the size hints come into
play. That said, it works on macOS.

If you’d like to test on your machine, this is a relatively non-intrusive
config that should only remember frame positions:

  (setq desktop-globals-to-save '()
        desktop-files-not-to-save ".*"
        desktop-buffers-not-to-save ".*"
        desktop-save t)
  (when (and (window-system)
             (not (boundp 'desktop-has-read)))
    (setq desktop-has-read t)
    (desktop-save-mode)
    (desktop-read))

> Thank you very much, martin

No problem, thank you for your guidance.

Aaron